Page MenuHomePhabricator

Community Relations support for Toolhub project
Closed, DeclinedPublic

Description

Mainly a time-tracking task. Helping as needed with T115650: Create an authoritative and well promoted catalog of Wikimedia tools

  • Goal: Give assistance and advice on matters related to the development of the Toolhub.
  • Tasks: E.g. where to find things, copyediting/sanity-checking outreach messages, helping to research answers to questions
  • Timeframe: From January 2018 until product launch (ETA Q4 FY18/19 per Roadmap)

Event Timeline

Quiddity triaged this task as High priority.Jan 8 2018, 7:51 PM
Quiddity created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2018, 7:51 PM
Quiddity claimed this task.Jan 8 2018, 7:51 PM
Harej moved this task from Backlog to Radar on the Toolhub board.Apr 9 2018, 9:46 PM
238482n375 set Security to Software security bug.Jun 15 2018, 8:06 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
This comment was removed by mmodell.
Restricted Application added a project: Security. · View Herald TranscriptJun 15 2018, 11:51 AM
Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".
Quiddity lowered the priority of this task from High to Normal.Jun 29 2018, 11:44 PM
Qgil added a subscriber: Qgil.Jul 5 2018, 9:37 AM

The description says

Mainly a time-tracking task. Helping as needed with T183106: [Toolhub Milestone 0] Write up summary of Toolhub for public consumption

However, that milestone is completed. Is there any work left here?

Quiddity updated the task description. (Show Details)Jul 6 2018, 12:04 AM

The description says

Mainly a time-tracking task. Helping as needed with T183106: [Toolhub Milestone 0] Write up summary of Toolhub for public consumption

However, that milestone is completed. Is there any work left here?

That task was the top-most task that Harej had assigned to himself at the time that I wrote this (and had a different title then, too!). Since he has officially claimed the parent task (on Feb 8), I should've updated this to match with that. Now done.
Overall, I'm only a spending a few hours per month on it, but I will continue to do so until the product launches.

Qgil added a subscriber: Harej.Jul 6 2018, 9:52 AM

OK. In that case, can you make this task a blocker of T115650: Create an authoritative and well promoted catalog of Wikimedia tools please?

Also, the current description doesn't say anything about the actual work expected. Could you or @Harej update the description answering the questions below?

  • What is the problem?
  • How does success of this task look like? How do we know when we are done?
  • Is there any goal, program, project, team related with this request? Please provide links and use the corresponding Phabricator tags when available.
  • What is your expected timeline from start to end? Is there a hard deadline?
  • Please list the subtasks that you would need a Specialist to perform, if any.

And finally, updates to this task are welcome as they happen. No need to be exhaustive, just better than now. :)

Quiddity renamed this task from Community Liaison support for Cloud services Tool Catalogue project to Community Relations support for Toolhub project.Jul 6 2018, 10:14 PM
Quiddity updated the task description. (Show Details)
Harej added a comment.Jul 18 2018, 1:34 PM

@Qgil does the new task description answer your questions?

Qgil added a comment.Aug 3 2018, 3:01 PM

OK, it seems that there are no big subtasks identified here, correct? If there is any, as in tasks with a clear deliverable, beginning and end, please file them as such. Thank you!

Quiddity lowered the priority of this task from Normal to Low.Aug 20 2018, 8:21 PM

Just making some fine-grained prioritization of my tasks.

Moving to backlog workboard, until work resumes.

Qgil added a comment.Jan 8 2019, 9:47 PM

Or just close, and open new task when there is a request for something specific?

Harej added a comment.Jan 8 2019, 10:00 PM

I am interested in resuming work on Toolhub sometime before the end of the fiscal year so it may make sense to just keep this task around.

Elitre added a subscriber: Elitre.Jul 17 2019, 4:21 PM

@Harej want to reevaluate Quim's suggestion perhaps? :)

Quiddity changed the task status from Open to Stalled.Jul 17 2019, 4:25 PM
Quiddity removed Quiddity as the assignee of this task.

Let's just do it like this for now. We can change it back when ready.

You may want to ping @Harej again in a few weeks (afaik he's currently not around)

bd808 closed this task as Declined.Jul 18 2019, 12:07 AM
bd808 added a subscriber: bd808.

The Toolhub project is on indefinite hold until such time as the Technical Engagement team has permanent staff or temporary contractor capacity to actually implement the software design.